DataMan 8000 Series Base Station : Questions and Answers


Connect to Reader


How do I connect my base station to Setup Tool?

Follow these steps to connect your DataMan reader to the Setup Tool:

  1. Print a copy of the Reader Configuration Codes document for your base station, available through the Windows Start menu or the Setup Tool Help menu.

  2. Connect the necessary cabling between your base station and the PC running the Setup Tool. Refer to the DataMan 8xx0 Quick Reference hardcopy documentation for details.

  3. Scan the symbol for the desired Communication Settings or Connection Type code, such as USB.

  4. Click Refresh in the Setup Tool.

  5. Select the COM port or Network device showing a connection to your reader.

  6. Click Connect.


What port do I use for a USB Connection?

If you connect the reader or base station using the USB port, make sure to scan the USB-COM/RS-232 configuration code from the Reader Configuration Codes document. Then click Refresh and select the port that is identified as connected to the reader.

Note: Clicking Refresh sends a query string on all COM ports and across the Ethernet network subnet. A DM7550 and a DM8000 wireless reader must be awake in order to respond to the query. Squeeze the trigger to wake up the reader.


I still cannot connect to my base station: Can I reset it?

With the wireless reader associated with your base station, scan the Reset Base Station to Factory Defaults command (for the DM8000Base) to return the base station to its factory-default state.


Why does the Setup Tool ask for a password when I want to connect?

The reader and the base station can be configured to request a password before connecting to the Setup Tool. The password is enabled on the Authentication tab in the Network Settings option of the Communication Settings pane. Be aware that the password is used for serial connection as well.


Can I connect the reader or the base station to my PC directly using Ethernet?

The reader or the base station can be connected directly to an Ethernet connector (RJ-45) on your PC. If your device is configured for DHCP, it will appear in the Network devices list after roughly 20 seconds. Be aware, however, that your PC might require an additional minute for its IP address to be resolved. Until this finishes you cannot connect to your device through the Setup Tool.

If your device has been set to a static IP address, it will appear only if the device and the PC share the same subnet.


How do I map a listing in the Network Devices list to a specific reader?

By default, each DataMan appears in Network devices with a DM prefix and the last six characters in its MAC address, which is printed on the device.


What if my reader or base station does not appear in the list of Network Devices?

If the desired reader or base station is not listed, you can add it by cycling its power. It may take up to 60 seconds for the device to appear in the list after power is applied.

If cycling the power fails to resolve the problem, the Setup Tool may not be able to communicate with your device due to the network configuration, and it will not appear in the list of Network devices.

Check your Ethernet connection with the reader or base station and click Refresh in the Setup Tool.

If you know the IP address of the reader or the base station, use the Add Device option.

This method allows the DataMan reader or base station to appear in the list of Network devices so that you can connect to it through the Setup Tool and your Ethernet connection.


How can I associate a wireless reader with a different base station?

If the base station with which you wish to associate your wireless reader is already associated with another reader, you must break that connection by scanning the Unassign Reader from Base Station code. To assign the reader to a new base station, simply place the new reader in the base station. They become automatically paired.


How can I reset the USB connection to the base station?

If you have difficulty establishing or maintaining a USB connection between a base station and your PC, follow these steps to reset the USB connection:

  1. Disconnect both the USB cable and the power cable from the base station.

  2. Reconnect both the USB cable and the power cable to the base station.

  3. Place the reader in the base station.

  4. Remove the reader from the base station and scan the USB-COM/RS_232 configuration code.


Inputs / Outputs


What system settings can I change?

You can disable or enable the beeper. Note that it is not possible to set the number of beeps or specify LED colors.


How can I reset the base station?

Scan the Reset to Factory Defaults (for the DM8000Base) configuration code with the wireless reader associated with your base station.


How do I use the wireless reader instead of a keyboard?

To use the base station in HID mode, you must scan the Enable USB Keyboard for the base station code from the Reader Configuration Codes document (available through the Windows Start menu or the Setup Tool Help menu).


Why would I change the name of the device?

You can give the device a more meaningful name for your production environment, such as the location or the inspection task.


How do I change the name of the device?

To change the name of the device:

  1. Enter a new name for the device in Device Name.

  2. The question "The changes made require reboot to take effect. Apply changes and reboot now?" pops up. Click Yes.

  3. If, for any reason, you click No, you can still apply the changes. Choose System->Save Settings and then reboot your device.

The next time you start the Setup Tool or click Refresh in the Home screen, it will reflect the new device name.


What is a Wake-up Message?

If Output Diagnostic String on Wake-up is enabled, the reader or the base station transmits a diagnostic string whenever the device starts up.

This functionality is not available for USB connections. For serial connections, the baud rate is automatically set to 38,400 when the message is sent, regardless of the settings made in the Setup Tool.


Communications


How do I change the base station's serial port settings?

When you scan the RS-232 Serial configuration code from the Reader Configuration Codes document, the base station is automatically configured to use the same baud rate (and other serial port settings) that the Setup Tool uses.

If you need to connect the base station to a device with a specific baud rate or other serial port settings, scan the appropriate codes from the Reader Configuration Codes document (available through the Windows Start menu or the Setup Tool Help menu). Note that you will need to re-scan the RS-232 Serial or USB Serial code to connect using the Setup Tool.


What is affected by changing the USB mode?

When you are connected to your reader through a serial USB connection, you can change the USB speed of that connection to either 1.1 or 2.0.

When you are connected to a wireless reader, changing the USB mode will not affect the base station. The changed settings will remain in the reader's memory, and if you change the wireless slide-in to a serial slide-in, the reader will connect with the (previously) selected USB mode.


When should I use the USB Driver Compatibility Mode?

By default, the base station uses a USB driver that can help it recover from an electrostatic discharge (ESD) event. Use USB Driver Compatibility Mode if you require strict conformance to the USB specification or you are using a DataMan base station together with the Cognex SensorView product.

When you change USB driver compatibility mode, the question "The changes made require reboot to take effect. Apply changes and reboot now?" pops up. Click Yes. If, for any reason, you click No, you can still apply the changes. Choose System->Save Settings and then reboot your reader.


What can I set with the Used Communication Channel drop-down menu?

Here, you can set the communication method via USB. Depending on the used device, the following options are available:

  • USB-COM only: Choose this option to reach the device through a serial port.

  • USB-HID only: This option ensures that the device will behave like a USB keyboard.

  • USB-COM + USB-HID: This is a combination of the above modes.

NOTE: In the case of USB-COM only, some devices may also be listed under 'HID devices', even though they lack HID functionality.


How do I use the base station instead of a keyboard when connected via USB?

To emulate a USB keyboard for your wireless reader, scan the Enable USB Keyboard for the base station code from the Reader Configuration Codes document (available through the Windows Start menu or the Setup Tool Help menu) and make sure you disconnect from the Setup Tool.


How do I use the base station instead of a keyboard through the PS/2 adapter?

To emulate a PS/2 keyboard, you must use the serial cable, external power supply, and keyboard wedge cable, as described in the Quick Reference Guide. Scan the PS/2 Keyboard Emulation Enable code from the Reader Configuration Codes document (available through the Windows Start menu or the Setup Tool Help menu). To install the PS/2 adapter, you must power off your PC completely. Connect the base station using the cables listed above. Then turn on your computer and your wireless reader will emulate a PS/2 keyboard.


What happens if I do not reboot my base station when asked?

Your changed settings are not taking effect. If you change your mind, click System and choose Save Settings. Then restart the base station.


What is the RS-232 Routing option?

When you connect your base station through RS-232, you can change if data is routed to the base station itself, or if you want to communicate directly with the reader associated with the base station.

When no reader is assigned to the base station, the RS-232 interface is used to configure the base station regardless of what you choose in the Routing option. When the associated reader gets assigned or unassigned, the operation mode of the RS-232 interface changes automatically, after you power-cycle your base station.


How do I configure the network settings of the base station?

Select the Use DHCP Server option to have the reader assigned an IP address by a DHCP server (if one is available), or enter the network settings manually. Contact your network administrator for an appropriate value.

When you change the settings, the question "The changes made require reboot to take effect. Apply changes and reboot now?" pops up. Click Yes. If, for any reason, you click No, you can still apply the changes. Choose System->Save Settings and then reboot your reader.


Which IP address subnets can I use?

If you switch to use a Static IP Address, you can use any IP address subnet except for the 172.16.2.x and the 172.16.0.x subnets. Do not use these for either the Base Station or the Wireless Reader IP Address.


How do I assign a new reader to this base station?

Place the reader in your base station. Assignment happens automatically.


If I change the Passphrase, is it updated immediately?

You must press Enter after entering a (new) Passphrase. If you press TAB or click away with your mouse without having pressed Enter, your Passphrase does not come into effect.


Do I always have to type in the Passphrase twice?

If you check Show, you have to enter the Passphrase only once. If you don't have Show checked, you must enter the Passphrase again, and if the two do not match, the Setup Tool displays a warning.


What happens if I disable wireless?

If you uncheck Enable wireless, you can only connect to and communicate with your reader if you place it into the base station. You can keep reading with the reader, though, and send images once you put it back to the base station and connect to it in any wired way.


What happens if I disable Bluetooth?

If you uncheck Enable Bluetooth, you can only connect to and communicate with your reader if you place it into the base station. You can keep reading with the reader, though, and send images once you put it back to the base station and connect to it in any wired way.


When should I click Unassign?

Click Unassign if you want to have another reader associated with your base station. If your new reader is not assigned to any base station, simply place it to the base station now. Assignment is automatic. If your reader is already assigned to another base station, scan the Unassign reader reader programming code and then place your reader into the base station.


What is the IP address under Associated Reader?

This IP address is used for internal communication between the reader and the base station. This setting cannot be changed. Do not use this IP address for network communication.


Are my communication settings synchronized between the reader and the base station?

You must place your reader in the base station so that they can exchange and update settings to be in sync. If your reader is already in the base station when you change your communication settings, lift your reader and place it again in the base station.


Industrial Protocols

EtherNet/IP protocol

To enable the reader to use the Ethernet/IP protocol, check EtherNet/IP in the Ethernet tab's Industrial Protocols box.

"The changes made require reboot to take effect." is displayed on the right side of the Communications banner. Click Save Settings and then reboot your reader.

PROFINET protocol

To enable the reader to use the PROFINET protocol, check PROFINET. You can enter the name of the station by clicking the Use Name of Station box.

"The changes made require reboot to take effect." is displayed on the right side of the Communications banner. Click Save Settings and then reboot your reader.

SLMP Protocol

To enable the reader to use the SLMP protocol, check SLMP Protocol, then set the parameters as needed.

"The changes made require reboot to take effect." is displayed on the right side of the Communications banner. Click Save Settings and then reboot the reader for the setting to take effect, either by toggling power to the reader or by scanning the Reset symbol.

Modbus TCP

To enable the reader to use the Modbus TCP protocol, check Modbus TCP, then set the parameters as needed.

"The changes made require reboot to take effect." is displayed on the right side of the Communications banner. Click Save Settings and then reboot the reader for the setting to take effect, either by toggling power to the reader or by scanning the Reset symbol.

EtherNet/IP, PROFINET, SLMP Protocol, or Modbus TCP selection grayed out

Only one Ethernet industrial protocol may be used at a given time. When one protocol is selected, the other is unavailable.


How do I use the Authenticate option?

When Authenticate is enabled, the Setup Tool will prompt the user for a password to the admin account when any attempt is made to connect to an available reader or base station over the network.


How do I establish a TCP/IP connection?

The base station allows TCP connections to port 23, which is the default TCP port for Telnet applications. If you use a Telnet client, the only parameter you will have to provide is the base station's IP address. If you are using another application or SDK to connect, make sure that it uses the same TCP port setting as your base station does. The TCP port can be changed on the Telnet pane. The base station will automatically send code output over this connection. You are able to transmit DataMan Control Commands (DMCC) over this connection as well.

When you change the Telnet port, the question "The changes made require reboot to take effect. Apply changes and reboot now?" pops up. Click Yes. If, for any reason, you click No, you can still apply the changes. Choose System->Save Settings and reboot your base station.


What is Network Client?

The Network Client behavior is a means for the DataMan ID Reader to actively open an Ethernet connection to another device on the network. Once open, the connection will have the same basic operational behavior as the DataMan Telnet connection; it can produce read results (transmit results to the external device) and it can act as a DMCC server (process commands received from the external device).


What is a Host?

The host is the device on the network to which the DataMan will connect. Specify the Ethernet address and port number of the host device. The address can either be a fully qualified domain name (e.g “server.mynetwork.com”) or a dot-decimal format IP address (e.g “192.169.0.1“).


What is a Client Port?

The client port is the Ethernet port on the reader from which the client connection will originate. The default value of 0 instructs the Network Client to use any available port. In special cases you may need to define a specific client port. Simply set the client port to the required value. Note that the most typical case is to use the default value of 0. If in doubt, use the default value.


How do I make a connection?

The client will connect based on the chosen Open Connection option. The available options are to connect when the DataMan powers up or to connect as soon as there is data activity (i.e. connect when a code is read).


How do I shut down the connection?

There are two available Close Connection options. The connection can either stay open forever or the connection can shut down after data transfer is completed. If you choose the After reader data transfer option, you can also set a number in seconds after which the connection shuts down if the reader is idle for that period of time. The length of the idle period is adjustable from 1 to 3600 seconds.


What is the Connection Timeout?

The connection timeout is the amount of time (in milliseconds) that the DataMan will wait for the connection to open. Note, if the on power-up connection option is chosen, the reader will continuously retry opening the connection.


What is the Reconnect Delay?

This is the amount of time (in milliseconds) that the reader will pause before attempting to re-open a connection.


Backup Settings


What is the Automatic Reader Configuration Backup?

Automatic Backup works with devices connected through Ethernet. When enabled, this function does a device configuration backup to an external storage (an FTP server) every time the configuration is saved to flash. A Cognex Explorer service can receive the backup data. Restore can be done manually by either Setup Tool, DMCC commands or Cognex Explorer.

Configure the reader with the IP address and port number necessary to specify where you want to save the configuration. You can also set a username and password combination.


Table View


Why are some values displayed in highlighted?

Values that are highlighted are non-default values initially. Highlighting rules can be changed in the ribbon menu's Highlighting section, see question Table View: Ribbon Menu for more information.


Why are some values displayed in bold?

Values in bold are expandable and reveal sub-values.


How do I know what the possible values are?

Move your mouse above a value, and see the hover text indicating the minimum, maximum and default values, where applicable.


Legal Information


Copyright

Cognex Corporation assumes no responsibility for the use or reliability of its software on equipment that is not supplied by Cognex Corporation. Cognex Corporation makes no warranties, either express or implied, regarding the described software, its merchantability or its fitness for any particular purpose.

The information in this document is subject to change without notice and should not be construed as a commitment by Cognex Corporation. Cognex Corporation is not responsible for any errors that may be present in either this document or the associated software.

Copyright © 2020 Cognex Corporation All Rights Reserved

This document may not be copied in whole or in part, nor transferred to any other media or language, without the written permission of Cognex Corporation.

The hardware and portions of the software described in this document may be covered by one or more of the U.S. patents listed on the Cognex web site http://www.cognex.com/patents.asp. Other U.S. and foreign patents are pending.


Licensed Software

SpiderMonkey

This software is subject to the terms of the Mozilla Public License, v. 2.0. You can obtain a copy of the MPL at http://mozilla.org/MPL/2.0/.

If you want to get a copy of the source code of SpiderMonkey please contact Cognex technical support at <spidermonkey@cognex.com>

PCRE Licence

PCRE is a library of functions to support regular expressions whose syntax and semantics are as close as possible to those of the Perl 5 language.

Release 5 of PCRE is distributed under the terms of the "BSD" licence, as specified below. The documentation for PCRE, supplied in the "doc" directory, is distributed under the same terms as the software itself.

Written by: Philip Hazel <ph10@cam.ac.uk>

University of Cambridge Computing Service, Cambridge, England. Phone: +44 1223 334714.

Copyright (c) 1997-2004 University of Cambridge All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of the University of Cambridge nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE

End

JPEG software

This software is based in part on the work of the Independent JPEG Group.

zlib compression library

This software is based in part on the work of Jean-loup Gailly and Mark Adler.

Parsifal XML Parser

Copyright (c) 2002-2005 Toni Uusitalo released to the public domain 2002-11-15 http://www.saunalahti.fi/~samiuus/toni/xmlproc/

Parsifal is free for both commercial and non-commercial use and redistribution, provided that author's copyright and disclaimer are retained intact. You are free to modify Parsifal for your own use and to redistribute Parsifal with your modifications, provided that the modifications are clearly documented.

DISCLAIMER

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of Merchantability or fitness for a particular purpose. Please use it AT YOUR OWN RISK.


Patent Information

This product is covered by one or more of the below listed US patents, US applications, and/or foreign patents http://www.cognex.com/patents will list any relevant subsequently issued patents

5742037, 5943441, 6215915, 6236769, 6282328, 6381375, 6408109, 6457032, 6690842, 6941026, 7175090, 7181066, 7412106, 7427028, 7549582, 7604174, 7614563, 7617984, US-2005-0087601-A1, US-2006-0131418-A1, US-2006-0131419-A1, US-2006-0133757-A1, US-2007-0090193-A1, US-2007-0091332-A1, US-2007-0152064-A1, US-2007-0170259-A1, US-2008-0004822-A1, US-2008-0011855-A1, US-2008-0142604-A1, US-2008-0143838-A1, US-2008-0158365-A1, US-2009-0090781-A1, US-2009-0108073, US-2009-0121027-A1, US-2009-0166424-A1, US-2009-0294541-A1, WO06065619A1, and EP1687752